
`resetall

module Gowin_EMPU_M1_template (
    LOCKUP,
//    HALTED,

    GPIOIN,

//    JTAG_3,   //trstn
//    JTAG_4,   //NC
//    JTAG_5,   //tdi
//    JTAG_6,   //NC
//    JTAG_7,   //tms   |       swdio
//    JTAG_8,   //extFlash_sspi2_sio3/holdn
//    JTAG_9,   //tck   |       swclk
//    JTAG_10,  //extFlash_spi2_mosi/sio1
//    JTAG_11,  //NC    |       
//    JTAG_12,  //extFlash_spi2_sclk
//    JTAG_13,  //tdo   |       swo
//    JTAG_14,  //extFlash_spi2_miso/sio0
//    JTAG_15,  //srstn
//    JTAG_16,  //extFlash_spi2_cs
//    JTAG_17,  //NC
//    JTAG_18,  //extFlash_sspi2_sio2/WPn

//    UART0RXD,
//    UART0TXD,

//    MOSI,
//    MISO,
//    SCLK,
//    NSS,

  AHB1HRDATA,
  AHB1HREADYOUT,
  AHB1HRESP,
  AHB1HTRANS,
  AHB1HBURST,
  AHB1HPROT,
  AHB1HSIZE,
  AHB1HWRITE,
  AHB1HREADYMUX,
  AHB1HMASTER,
  AHB1HMASTLOCK,
  AHB1HADDR,
  AHB1HWDATA,
  AHB1HSEL,
  AHB1HCLK,
  AHB1HRESET,

    HCLK,
    hwRstn
);

output          LOCKUP ;//core lockup state
//output          HALTED ;//core halt debug state

//JTAG
//inout           JTAG_3;
//inout           JTAG_4;
//inout           JTAG_5;
//inout           JTAG_6;
//inout           JTAG_7;//SWDIO
//inout           JTAG_8;
//inout           JTAG_9;//SWDCLK
//inout           JTAG_10;
//inout           JTAG_11;
//inout           JTAG_12;
//inout           JTAG_13;
//inout           JTAG_14;
//inout           JTAG_15;
//inout           JTAG_16;
//inout           JTAG_17;
//inout           JTAG_18;

input  [ 3 : 0] GPIOIN;

//UART0
//input           UART0RXD;
//output          UART0TXD;

input           HCLK; //system clock input
input           hwRstn; //system reset

////SPI
//output          MOSI;   // SPI output
//input           MISO;    // SPI input
//output          SCLK;   // SPI clock
//output          NSS;    // SPI chip select

input [31:0] AHB1HRDATA;
input AHB1HREADYOUT;
input [1:0] AHB1HRESP;
output [1:0] AHB1HTRANS;
output [2:0] AHB1HBURST;
output [3:0] AHB1HPROT;
output [2:0] AHB1HSIZE;
output AHB1HWRITE;
output AHB1HREADYMUX;
output [3:0] AHB1HMASTER;
output AHB1HMASTLOCK;
output [31:0] AHB1HADDR;
output [31:0] AHB1HWDATA;
output AHB1HSEL;
output AHB1HCLK;
output AHB1HRESET;


wire   [31 : 0] APB1PADDR_o;
wire            APB1PENABLE_o;
wire            APB1PWRITE_o;
wire   [ 3 : 0] APB1PSTRB_o;
wire   [ 2 : 0] APB1PPROT_o;
wire   [31 : 0] APB1PWDATA_o;
wire            APB1PSEL_o;
wire   [31 : 0] APB1PRDATA_i;
wire            APB1PREADY_i;
wire            APB1PSLVERR_i;
wire            APB1PCLK_o;
wire            APB1PRESET_o;


/*----------------------------- Gowin_EMPU_M1 -----------------------------------*/
wire            clkin = HCLK;  //Board clock input 50MHz


Gowin_EMPU_M1_Top u_Gowin_EMPU_M1_Top (
    .LOCKUP         (LOCKUP),
//    .HALTED         (HALTED),

    .GPIOIN         ({12'h0, GPIOIN}),
    .GPIOOUT        (),
    .GPIOOUTEN      (), 

//    .JTAG_3         (JTAG_3),
//    .JTAG_4         (JTAG_4),
//    .JTAG_5         (JTAG_5),
//    .JTAG_6         (JTAG_6),
//    .JTAG_7         (JTAG_7),
//    .JTAG_8         (JTAG_8),
//    .JTAG_9         (JTAG_9),
//    .JTAG_10        (JTAG_10),
//    .JTAG_11        (JTAG_11),
//    .JTAG_12        (JTAG_12),
//    .JTAG_13        (JTAG_13),
//    .JTAG_14        (JTAG_14),
//    .JTAG_15        (JTAG_15),
//    .JTAG_16        (JTAG_16),
//    .JTAG_17        (JTAG_17),
//    .JTAG_18        (JTAG_18),

//    .UART0RXD       (UART0RXD),
//    .UART0TXD       (UART0TXD),

    .TIMER0EXTIN    (1'b1),

//    .APB1PADDR      (APB1PADDR_o),   //output [31:0] APB1PADDR
//    .APB1PENABLE    (APB1PENABLE_o), //output APB1PENABLE
//    .APB1PWRITE     (APB1PWRITE_o),  //output APB1PWRITE
//    .APB1PSTRB      (APB1PSTRB_o),   //output [3:0] APB1PSTRB
//    .APB1PPROT      (APB1PPROT_o),   //output [2:0] APB1PPROT
//    .APB1PWDATA     (APB1PWDATA_o),  //output [31:0] APB1PWDATA
//    .APB1PSEL       (APB1PSEL_o),    //output APB1PSEL
//    .APB1PRDATA     (APB1PRDATA_i),  //input [31:0] APB1PRDATA
//    .APB1PREADY     (APB1PREADY_i),  //input APB1PREADY
//    .APB1PSLVERR    (APB1PSLVERR_i), //input APB1PSLVERR
//    .APB1PCLK       (APB1PCLK_o),    //output APB1PCLK
//    .APB1PRESET     (APB1PRESET_o),  //output APB1PRESET

    .AHB1HRDATA(AHB1HRDATA), //input [31:0] AHB1HRDATA
    .AHB1HREADYOUT(AHB1HREADYOUT), //input AHB1HREADYOUT
    .AHB1HRESP(AHB1HRESP), //input [1:0] AHB1HRESP
    .AHB1HTRANS(AHB1HTRANS), //output [1:0] AHB1HTRANS
    .AHB1HBURST(AHB1HBURST), //output [2:0] AHB1HBURST
    .AHB1HPROT(AHB1HPROT), //output [3:0] AHB1HPROT
    .AHB1HSIZE(AHB1HSIZE), //output [2:0] AHB1HSIZE
    .AHB1HWRITE(AHB1HWRITE), //output AHB1HWRITE
    .AHB1HREADYMUX(AHB1HREADYMUX), //output AHB1HREADYMUX
    .AHB1HMASTER(AHB1HMASTER), //output [3:0] AHB1HMASTER
    .AHB1HMASTLOCK(AHB1HMASTLOCK), //output AHB1HMASTLOCK
    .AHB1HADDR(AHB1HADDR), //output [31:0] AHB1HADDR
    .AHB1HWDATA(AHB1HWDATA), //output [31:0] AHB1HWDATA
    .AHB1HSEL(AHB1HSEL), //output AHB1HSEL
    .AHB1HCLK(AHB1HCLK), //output AHB1HCLK
    .AHB1HRESET(AHB1HRESET), //output AHB1HRESET

    .HCLK           (clkin),
    .hwRstn         (hwRstn)
);


//esc_spi esc_spi_ins0
//(
//    .PCLK      (APB1PCLK_o),          // Clock
//    .PRESETn   (APB1PRESET_o),        // Reset

//    .PSEL      (APB1PSEL_o),          // Device select
//    .PADDR     (APB1PADDR_o[7:0]),    // Address
//    .PENABLE   (APB1PENABLE_o),       // Transfer control
//    .PWRITE    (APB1PWRITE_o),        // Write control
//    .PWDATA    (APB1PWDATA_o),        // Write data

//    .PSTRB     (APB1PSTRB_o),

//    .PRDATA    (APB1PRDATA_i),  
//    .PREADY    (APB1PREADY_i), 
//    .PSLVERR   (APB1PSLVERR_i), 

//    .MOSI      (MOSI), 
//    .MISO      (MISO),
//    .SCLK      (SCLK),
//    .NSS       (NSS)
//); 


endmodule